package client;


import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.ModelEngine;
import com.evelopers.unimod.runtime.context.StateMachineContext;

public class FormPainter implements ControlledObject {
	public static TForm form;
	public static String endOperationMessage = "operEndCancel";
	public static String goodbyeMessage = "goodbyeOK";
	public static String pinEnterMessage = "";
	
	public static void init(ModelEngine engine){
		form = new TForm(engine);
	}

	/**
	 * @unimod.action.descr 
	 */
	public void z0(StateMachineContext context) {
		form.dispose();
	}

	/**
	 * @unimod.action.descr 
	 */
	public void z1(StateMachineContext context) {
		form.panelMain.showState("welcome", "insertCard", "");
	    form.panelMain.markButton("empty", "empty", "empty", "empty");
	}

	/**
	 * @unimod.action.descr  pin 
	 */
	public void z2(StateMachineContext context) {
		form.panelMain.edit_Pin.setText("");
		form.panelMain.showState("enter pin", "enterPin", pinEnterMessage);
		form.panelMain.markButton("empty", "btncancel", "empty", "btnok");
	}

	/**
	 * @unimod.action.descr  
	 */
	public void z4(StateMachineContext context) {
		form.panelMain.showState("main menu", "mainMenu", "");
		form.panelMain.markButton("btnpayment", "btnbackcard", "btnbalance", "btnmoney");
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z12(StateMachineContext context) {
		form.panelMain.showState("balance", "amountAvailable",  Integer.toString(ServerQuery.ServerInfo.balance));
		form.panelMain.markButton("empty", "empty", "btnprint", "btnnoreceipt");
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z13(StateMachineContext context) {
		form.panelMain.showState("print", "takeReceipt", "");
		form.panelMain.markButton("empty", "empty", "empty", "empty");
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z21(StateMachineContext context) {
		form.panelMain.showState("back card", "selectOperator", "");
		form.panelMain.markButton("empty", "btncancel", "btnmegafon", "btnmts");
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z22(StateMachineContext context) {
		form.panelMain.showState("enter phoneNumber", "enterPhoneNumber", "");
		form.panelMain.markButton("empty", "btncancel", "empty", "btnok");
	}

	/**
	 * @unimod.action.descr  
	 */
	public void z23(StateMachineContext context) {
		form.panelMain.showState("enter sum", "enterSum", "");
		form.panelMain.markButton("empty", "btncancel", "empty", "btnok");
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z24(StateMachineContext context) {
		form.panelMain.showState("check payment", "checkPhonePaymentInfo", "");
		form.panelMain.markButton("empty", "btnchange", "empty", "btnok");
	}
	
	/**
	 * @unimod.action.descr     
	 */
	public void z26(StateMachineContext context) {
		form.panelMain.showState("print", "takeReceipt", "");
		form.panelMain.markButton("empty", "empty", "empty", "empty");
	}
			
	/**
	 * @unimod.action.descr  
	 */
	public void z31(StateMachineContext context) {
		form.panelMain.showState("enter sum", "enterSum", "");
		form.panelMain.markButton("empty", "btncancel", "empty", "btnok");
	}

	/**
	 * @unimod.action.descr  
	 */
	public void z33(StateMachineContext context) {
		form.panelMain.showState("money out", "takeMoney", "");
		form.panelMain.markButton("empty", "empty", "empty", "empty");
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z34(StateMachineContext context) {
		form.panelMain.showState("", "askReceipt", "");
		form.panelMain.markButton("empty", "empty", "btnprint", "btnnoreceipt");
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z35(StateMachineContext context) {
		form.panelMain.showState("print", "takeReceipt", "");
		form.panelMain.markButton("empty", "empty", "empty", "empty");
	}

	/**
	 * @unimod.action.descr  
	 */
	public void z40(StateMachineContext context) {
		form.panelMain.showState("", endOperationMessage, "");
		form.panelMain.markButton("empty", "btnbackcard", "empty", "btnok");
	}
	
	/**
	 * @unimod.action.descr  
	 */
	public void z50(StateMachineContext context) {
		form.panelMain.showState("card return", "takeCard", goodbyeMessage);
		form.panelMain.markButton("empty", "empty", "empty", "empty");
	}
	
	/**
	 * @unimod.action.descr 
	 */
	public void z51(StateMachineContext context) {
		FormPainter.form.panelMain.edit_CardNumber.setText("");
		FormPainter.form.panelMain.edit_Pin.setText("");
		FormPainter.form.panelMain.edit_PhoneNumber.setText("");
		FormPainter.form.panelMain.edit_Sum.setText("");		
	}
	
}
