package client;

import callserver.ClientEventProvider;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

public class ServerQuery implements ControlledObject {
	public static class ServerInfo{
		public static int balance;
		public static char command;
		public static int cardN;
		public static int cardPIN;
		public static int dispenseAmount;
		public static int phoneNumber;
		public static int PINTrials; 
		public static void make(char com){
			command = com;
			try{
				cardN = Integer.parseInt(FormPainter.form.panelMain.edit_CardNumber.getText());
			}catch(Exception e){
				cardN = 0;
			}			
			try{
				cardPIN = Integer.parseInt(FormPainter.form.panelMain.edit_Pin.getText());
			}catch(Exception e){
				cardPIN = 0;
			}
			try{	
				dispenseAmount = Integer.parseInt(FormPainter.form.panelMain.edit_Sum.getText());
			}catch(Exception e){
				dispenseAmount = 0;
			}
			try{	
				phoneNumber = Integer.parseInt(FormPainter.form.panelMain.edit_PhoneNumber.getText());
			}catch(Exception e){
				phoneNumber = 0;
			}
		}
	}
	
	/**
	 * @unimod.action.descr   
	 */
	public int x1(StateMachineContext context) {
		return ServerInfo.PINTrials;
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z2(StateMachineContext context) {
		FormPainter.pinEnterMessage = "";
		ServerInfo.PINTrials = 0;
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z3(StateMachineContext context) {
		FormPainter.form.panelMain.showState("", "auth", "");
		FormPainter.form.panelMain.markButton("empty", "empty", "empty", "empty");
		ServerInfo.make('A');
	}

	/**
	 * @unimod.action.descr    
	 */
	public void z5(StateMachineContext context) {
		ServerInfo.PINTrials++;
		FormPainter.goodbyeMessage = "goodbyePINLimit";
		FormPainter.pinEnterMessage = "wrongPIN";
		ClientEventProvider.notify(ClientEventProvider.E26);
	}

	/**
	 * @unimod.action.descr  
	 */
	public void z11(StateMachineContext context) {
		FormPainter.form.panelMain.showState("", "balanceInquiry", "");
		FormPainter.form.panelMain.markButton("empty", "empty", "empty", "empty");
		ServerInfo.make('B');
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z25(StateMachineContext context) {
		FormPainter.form.panelMain.showState("", "operating", "");
		FormPainter.form.panelMain.markButton("empty", "empty", "empty", "empty");
		ServerInfo.make('P');
	}

	/**
	 * @unimod.action.descr   
	 */
	public void z32(StateMachineContext context) {
		FormPainter.form.panelMain.showState("", "operating", "");
		FormPainter.form.panelMain.markButton("empty", "empty", "empty", "empty");
		ServerInfo.make('D');
	}
}
