package server;

import java.rmi.*;
import java.rmi.server.*;
import java.net.*;

import server.Bank;

public class Server {
	public static void main(String[] args){
		Bank  bank = new BankImpl();
		try{
			UnicastRemoteObject.exportObject(bank);
			Naming.rebind("rmi://localhost/bank", bank);
			System.out.println("server started");
		}catch(RemoteException e){
			System.out.println(e.getMessage());
			e.printStackTrace();
		}catch(MalformedURLException e){
			System.out.println("MalformedURL");		
		}
	}
}
